[Monetdb-developers] [Monetdb-checkins] buildtools/conf MonetDB.m4, May2009, 1.118, 1.118.2.1

Fabian Groffen Fabian.Groffen at cwi.nl
Tue May 19 14:49:28 CEST 2009


On 19-05-2009 14:43:51 +0200, Jan Rittinger wrote:
> On May 19, 2009, at 11:39, Fabian Groffen wrote:
> 
> > On 19-05-2009 11:27:42 +0200, Sjoerd Mullender wrote:
> >> Jan Rittinger wrote:
> >>>> openssl version
> >>> OpenSSL 0.9.8i 15 Sep 2008
> >>
> >> We have
> >> OpenSSL 0.9.8g 19 Oct 2007
> >> i.e. older.
> >> What does config.log say?
> >
> > Also, do you have a 64-bits version of that openssl version installed?
> > Most probably it falls back to /usr/lib/libssl.dylib (which is a 4-way
> > fat object), which is version 0x009070cfL
> 
> This is what I also observed. It falls back to that old version even  
> if I explicitly ask for the newer macports version. (I'm just a little  
> bit puzzled why openssl support isn't just switched off if it can't  
> find the correct variant. But that's probably a design decision...)

Well, your linker finds this openssl, you never use your macports one,
since that one isn't 64-bits.  The bug was that we didn't check
the version.

> I now solved my compile problems by disabling openssl by hand.

If I understand your problem correctly, I think I accidentially made
configure die, instead of say "not found", which is what I will check in
now.




More information about the developers-list mailing list